export const Logo = () => (
  <svg
    width="109"
    height="28"
    viewBox="0 0 109 28"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M3 3H10.7407C16.9591 3 22 8.04094 22 14.2593C22 20.4776 16.9591 25.5185 10.7407 25.5185H9.5"
      stroke="url(#paint0_linear_28_5)"
      strokeWidth="4.5"
      strokeLinecap="round"
    />
    <path
      d="M3 9L3 25"
      stroke="#E05BCE"
      strokeWidth="4.5"
      strokeLinecap="round"
    />
    <path
      d="M33.0456 28C31.3844 28 29.9534 27.6856 28.7526 27.0567C27.5518 26.4278 26.6211 25.5353 25.9607 24.379C25.3202 23.2227 25 21.8534 25 20.2711C25 18.7294 25.3102 17.3804 25.9306 16.2241C26.5711 15.0678 27.4417 14.1651 28.5425 13.5159C29.6632 12.8465 30.9341 12.5118 32.3551 12.5118C33.3958 12.5118 34.3265 12.6842 35.147 13.029C35.9876 13.3739 36.6981 13.8709 37.2785 14.5201C37.8789 15.1692 38.3292 15.9603 38.6294 16.8935C38.9497 17.8064 39.1098 18.8409 39.1098 19.9972C39.1098 20.3624 38.9797 20.6464 38.7195 20.8492C38.4793 21.0318 38.1291 21.1231 37.6688 21.1231H28.0321V18.9322H36.4679L35.9876 19.3887C35.9876 18.4555 35.8475 17.6745 35.5673 17.0456C35.3071 16.4168 34.9169 15.9401 34.3965 15.6155C33.8962 15.2706 33.2657 15.0982 32.5052 15.0982C31.6646 15.0982 30.9441 15.3011 30.3437 15.7068C29.7633 16.0922 29.313 16.6501 28.9928 17.3804C28.6926 18.0904 28.5425 18.9424 28.5425 19.9364V20.1494C28.5425 21.8128 28.9227 23.0604 29.6832 23.8921C30.4638 24.7036 31.6046 25.1093 33.1056 25.1093C33.626 25.1093 34.2064 25.0484 34.8468 24.9267C35.5073 24.7847 36.1277 24.5514 36.7081 24.2268C37.1284 23.9834 37.4986 23.882 37.8189 23.9225C38.1391 23.9428 38.3893 24.0544 38.5694 24.2573C38.7695 24.4601 38.8896 24.7137 38.9296 25.018C38.9697 25.302 38.9096 25.5961 38.7495 25.9004C38.6094 26.2047 38.3592 26.4684 37.999 26.6916C37.2985 27.1379 36.4879 27.4726 35.5673 27.6957C34.6667 27.8986 33.8261 28 33.0456 28Z"
      fill="currentColor"
    />
    <path
      d="M46.7404 27.9391C46.2401 27.9391 45.7998 27.8073 45.4195 27.5436C45.0593 27.2799 44.7591 26.8741 44.5189 26.3264L39.7456 15.0982C39.5655 14.6519 39.4954 14.2361 39.5354 13.8506C39.5955 13.4652 39.7756 13.1609 40.0758 12.9378C40.396 12.6943 40.8263 12.5726 41.3667 12.5726C41.827 12.5726 42.1973 12.6842 42.4775 12.9073C42.7577 13.1102 43.0079 13.5058 43.228 14.0941L47.2808 24.3485H46.3802L50.5531 14.0636C50.7732 13.4956 51.0234 13.1102 51.3036 12.9073C51.6038 12.6842 52.0041 12.5726 52.5044 12.5726C52.9447 12.5726 53.295 12.6943 53.5551 12.9378C53.8153 13.1609 53.9754 13.4652 54.0355 13.8506C54.0955 14.2158 54.0255 14.6215 53.8253 15.0678L48.962 26.3264C48.7418 26.8741 48.4416 27.2799 48.0613 27.5436C47.7011 27.8073 47.2608 27.9391 46.7404 27.9391Z"
      fill="currentColor"
    />
    <path
      d="M57.8584 27.9391C57.238 27.9391 56.7577 27.7667 56.4174 27.4219C56.0972 27.0567 55.9371 26.5597 55.9371 25.9308V8.0083C55.9371 7.35915 56.0972 6.86215 56.4174 6.51729C56.7577 6.17243 57.238 6 57.8584 6C58.4789 6 58.9492 6.17243 59.2694 6.51729C59.6097 6.86215 59.7798 7.35915 59.7798 8.0083V15.1895H70.6773V8.0083C70.6773 7.35915 70.8374 6.86215 71.1576 6.51729C71.4979 6.17243 71.9782 6 72.5986 6C73.2191 6 73.6894 6.17243 74.0096 6.51729C74.3498 6.86215 74.52 7.35915 74.52 8.0083V25.9308C74.52 26.5597 74.3498 27.0567 74.0096 27.4219C73.6894 27.7667 73.2191 27.9391 72.5986 27.9391C71.9782 27.9391 71.4979 27.7667 71.1576 27.4219C70.8374 27.0567 70.6773 26.5597 70.6773 25.9308V18.4454H59.7798V25.9308C59.7798 26.5597 59.6197 27.0567 59.2994 27.4219C58.9792 27.7667 58.4989 27.9391 57.8584 27.9391Z"
      fill="currentColor"
    />
    <path
      d="M83.059 28C81.8382 28 80.8275 27.7769 80.0269 27.3306C79.2263 26.864 78.6259 26.1743 78.2257 25.2614C77.8454 24.3485 77.6553 23.2125 77.6553 21.8534V14.4896C77.6553 13.8405 77.8154 13.3638 78.1356 13.0595C78.4558 12.7349 78.9161 12.5726 79.5165 12.5726C80.117 12.5726 80.5773 12.7349 80.8975 13.0595C81.2377 13.3638 81.4079 13.8405 81.4079 14.4896V21.9142C81.4079 22.9691 81.618 23.7501 82.0383 24.2573C82.4586 24.7644 83.129 25.018 84.0497 25.018C85.0504 25.018 85.8709 24.6731 86.5114 23.9834C87.1518 23.2734 87.4721 22.3402 87.4721 21.184V14.4896C87.4721 13.8405 87.6322 13.3638 87.9524 13.0595C88.2726 12.7349 88.7329 12.5726 89.3333 12.5726C89.9338 12.5726 90.3941 12.7349 90.7143 13.0595C91.0545 13.3638 91.2246 13.8405 91.2246 14.4896V25.9917C91.2246 27.29 90.6142 27.9391 89.3934 27.9391C88.813 27.9391 88.3627 27.7769 88.0424 27.4523C87.7222 27.1074 87.5621 26.6206 87.5621 25.9917V23.6791L87.9824 24.592C87.5621 25.6874 86.9217 26.5293 86.0611 27.1176C85.2205 27.7059 84.2198 28 83.059 28Z"
      fill="currentColor"
    />
    <path
      d="M102.546 28C101.305 28 100.214 27.6856 99.2733 27.0567C98.3526 26.4278 97.7422 25.586 97.442 24.5311L97.7722 23.7704V25.9917C97.7722 26.6206 97.6121 27.1074 97.2919 27.4523C96.9717 27.7769 96.5214 27.9391 95.941 27.9391C95.3405 27.9391 94.8802 27.7769 94.56 27.4523C94.2398 27.1074 94.0797 26.6206 94.0797 25.9917V7.91701C94.0797 7.28815 94.2398 6.81143 94.56 6.48686C94.8802 6.16229 95.3405 6 95.941 6C96.5414 6 97.0017 6.16229 97.3219 6.48686C97.6622 6.81143 97.8323 7.28815 97.8323 7.91701V15.8285H97.472C97.7922 14.8345 98.4127 14.0332 99.3333 13.4246C100.254 12.816 101.325 12.5118 102.546 12.5118C103.846 12.5118 104.977 12.8262 105.938 13.455C106.899 14.0839 107.649 14.9765 108.189 16.1328C108.73 17.2688 109 18.6381 109 20.2407C109 21.823 108.73 23.2024 108.189 24.379C107.649 25.5353 106.889 26.4278 105.908 27.0567C104.947 27.6856 103.826 28 102.546 28ZM101.495 25.1093C102.235 25.1093 102.886 24.9267 103.446 24.5615C104.007 24.1964 104.437 23.6588 104.737 22.9488C105.057 22.2185 105.217 21.3158 105.217 20.2407C105.217 18.6178 104.877 17.4108 104.197 16.6196C103.516 15.8082 102.616 15.4025 101.495 15.4025C100.754 15.4025 100.104 15.5851 99.5435 15.9502C98.9831 16.2951 98.5428 16.8326 98.2225 17.5629C97.9223 18.2729 97.7722 19.1655 97.7722 20.2407C97.7722 21.8432 98.1125 23.0604 98.7929 23.8921C99.4734 24.7036 100.374 25.1093 101.495 25.1093Z"
      fill="currentColor"
    />
    <defs>
      <linearGradient
        id="paint0_linear_28_5"
        x1="12.5"
        y1="3"
        x2="12.5"
        y2="25.5185"
        gradientUnits="userSpaceOnUse"
      >
        <stop stopColor="#7C59ED" />
        <stop offset="1" stopColor="#7C59ED" stopOpacity="0.4" />
      </linearGradient>
    </defs>
  </svg>
);
